<?php

namespace Drupal\tridug_rebuild_migrate\Plugin\migrate\source;

use Drupal\migrate\Row;
use Drupal\node\Plugin\migrate\source\d7\Node as D7Node;

/**
 * Extends Drupal 7 node source from database.
 *
 * @MigrateSource(
 *   id = "custom_page",
 *   source_provider = "node"
 * )
 */
class Node extends D7Node {
  /**
   * {@inheritdoc}
   */
  public function prepareRow(Row $row) {
    // Get the old Node ID.
    $nid = $row->getSourceProperty('nid');
    if ($nid == 59) {
      // If it's the old home page, don't bother importing because we'll have
      // a new one on the D8 site.
      return FALSE;
    }
    // Call the parent method.
    return parent::prepareRow($row);
  }
}
